package gov.va.med.esr.common.model.security;

import java.io.Serializable;

import org.apache.commons.lang.builder.ToStringBuilder;

import gov.va.med.fw.model.AbstractKeyedEntity;

public class EEServiceRequestLite extends AbstractKeyedEntity {


	private static final long serialVersionUID = 4558803586994822194L;

	private String name;
	private String description;
	
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
    public void setIdentifier(Serializable identifier) {
        super.setIdentifier(identifier);
    }

    public Serializable getIdentifier() {
        return super.getIdentifier();
    }

    
	protected void buildToString(ToStringBuilder builder) {
		builder.append("name", this.name);
		builder.append("description", this.description);
	}
}
